Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 36026 - XP - overall color correction of property sheet
XP - overall color correction of property sheet
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
3.x
PC All
: P3 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
:
Depends on: 29466 31896 36723
Blocks: 36013
  Show dependency treegraph
 
Reported: 2003-09-10 16:29 UTC by David Simonek
Modified: 2008-12-22 23:44 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Simonek 2003-09-10 16:29:04 UTC
according to Dusan's specification.
Comment 1 David Simonek 2003-11-13 13:47:30 UTC
Passign to Tim, as Tim already have this prepared in his branch.
Comment 2 _ tboudreau 2003-12-01 12:17:59 UTC
The correct colors are now assigned in the trunk in core/NbTheme. 
Once I integrate the property panel rewrite, they will actually be
used by the property sheet, with one exception:

Disabled properties are rendered using colors the look and feel
defines - a JLabel doesn't have any setDisabledForeground() value.  On
Windows, that means the nifty beveled painting if the background is
not white.

- I would like to wait for that change until we integrate the new
lightweight HTML renderer.  At that point, both property sheet and
explorer should start using it, and we will then have our own painting
logic for both enabled and disabled properties.

Is that doable?
Comment 3 _ tboudreau 2003-12-09 09:37:07 UTC
Property panel rewrite branch merged.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo